Portaal Portaal Pingviini veeb foorumi pealeht
  Viki  |  IRC  |  Otsing  |  Küsimused ja vastused  |  Profiil  |  Privaatsõnumite vaatamiseks logi sisse  | Logi sisse või Registreeru
<empty>
Vaata järgmist teemat
Vaata eelmist teemat

Postita uus teemaVasta teemale
Autor Sõnum
merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 04.07.2010, 16:06  postituse pealkiri:  Omnikey 4040 kaardilugeja  

Siin on enne ka sellest juttu olnud, aga selle teabe abil pole senini tööle õnnestunud saada. Proovisin http://estobuntu.org/pipermail/kasutajad_estobuntu.org/2009-November/000075.html abil, readers.conf.d asemel on kausta nimi reader.conf.d aga see vast ei sega, kopeerisin siis sinna. Failis mainitud /usr/lib/pcsc/drivers/ifdok_cm4040.so on omal kohal kenasti olemas. Küll ei ole see vaikimisi laaditud, aga kui laadida modprobe käsuga, siis on tulemus sama, mis ilma laadimata.

Hetkel ütleb opensc-tool -l
Nr. Driver Features Name
0 openct OpenCT reader (detached)
1 openct OpenCT reader (detached)

Id-kaardi haldusvahend arvab aga, et ühendatud kaardilugejaid ei ole. Mida veel proovida? Netis oleva info põhjal peaks ladusalt töötama, aga pole veel leidnud sellist õpetust, mis päriselt ka töötaks. Kaardilugeja on muidu linuksiväliselt töökorras ja dmesg ka näitab, et seade ühendatud.


olavsu1


Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 02.12.2006
Postitused: 923

Distributsioon: ubuntu, mandriva
estonia.gif
postituspostitatud: 04.07.2010, 16:59  postituse pealkiri:  (teema puudub)  

Tsitaat:
Id-kaardi haldusvahend arvab aga, et ühendatud kaardilugejaid ei ole


kas see haldusvahend üldse tunnistab PCMCIA kaardilugejaid?

_________________
olen Troll ja ootan pingviin.org konto sulgemist.

merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 04.07.2010, 17:20  postituse pealkiri:  (teema puudub)  

olavsu1 kirjutas:
kas see haldusvahend üldse tunnistab PCMCIA kaardilugejaid?

Hea küsimus, keegi targem ehk oskab kindlamalt kosta. Haldusvahend arvab, et pole lugejat, samal ajal digidoc ütleb, et pole kaarti, tegelikult on mõlemad Very Happy. https://id.eesti.ee/trac/ticket/1045 lugedes jääb mulle küll mulje, et 9.04 all on see rahuldavalt tööle saadud (pole küll selgitatud, millised omadused just töötama peaksid). Ise proovisin 10.4 all. Sealses 4. kommentaaris soovitatu muutis küll opensc-tool -l väljundis olevat lugeja nime aga tööle küll ei hakanud.


sips
Pingviini aktivist
Pingviini aktivist



Liitunud: 20.05.2006
Postitused: 288

Distributsioon: Arch
estonia.gif
postituspostitatud: 04.07.2010, 19:09  postituse pealkiri:  (teema puudub)  

olavsu1 kirjutas:
kas see haldusvahend üldse tunnistab PCMCIA kaardilugejaid?

Kood:
~ $ opensc-tool -l
Nr.    Driver     Features  Name
0      pcsc                 OmniKey CardMan 4321 00 00

töötab küll

_________________
PS! Vanaisale ei saa Linuxit peale lasta.

merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 04.07.2010, 19:48  postituse pealkiri:  (teema puudub)  

See ju teine lugeja ja expresscard liides hoopis...


-ordi-
Vana Pingviin
Vana Pingviin


Vanus: 27
Liitunud: 13.12.2008
Postitused: 821

Distributsioon: GNU/Linux
estonia.gif
postituspostitatud: 04.07.2010, 20:07  postituse pealkiri:  (teema puudub)  

merike kirjutas:
See ju teine lugeja ja expresscard liides hoopis...


Mul on sama lugeja olemas aga hetkel ei ole võimalust proovida, kuna mul ei ole läpakal seda pesa.

Aga see peaks töötama küll, vähemalt vana masinaga oli see töös.

Edit: see õpetus ei toimi enam: http://estobuntu.org/pipermail/kasutajad_estobuntu.org/2009-November/000075.html




Viimati muutis -ordi- 04.07.2010, 22:54; muudetud 1 kord
olavsu1


Vana Pingviin
Vana Pingviin


Vanus: 43
Liitunud: 02.12.2006
Postitused: 923

Distributsioon: ubuntu, mandriva
estonia.gif
postituspostitatud: 04.07.2010, 20:20  postituse pealkiri:  (teema puudub)  

mis on sinul opensc.conf failis kirjas

kas leidub rida: reader_drivers = pcsc, ctapi; ja kas sellel real on trellid eest ära?

_________________
olen Troll ja ootan pingviin.org konto sulgemist.

sips
Pingviini aktivist
Pingviini aktivist



Liitunud: 20.05.2006
Postitused: 288

Distributsioon: Arch
estonia.gif
postituspostitatud: 04.07.2010, 21:09  postituse pealkiri:  (teema puudub)  

Kood:
cat /etc/opensc.conf | grep reader_drivers
   # last entry in reader_drivers list
   # reader_drivers = openct, pcsc, ctapi;
   reader_drivers = cardmod;

_________________
PS! Vanaisale ei saa Linuxit peale lasta.

merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 16.07.2010, 18:19  postituse pealkiri:  (teema puudub)  

Kernelis oleva draiveriga tööle saada ei õnnestunudki. Saatsin kirja kasutajatoele ja üllatus-üllatus, kaks nädalat hiljem saadeti tagasi täpselt minu kerneli jaoks kompileeruv draiver. Jagaks edasi, aga päise failile pole nad litsentsi juurde pannud, kood on BSD/GPL muidu. Paigaldasin ära, pcsc-omnikey pakett otsa ja oligi töökorras.

Huvitav on see, et kui digidoc kliendiga allkirja anda ei õnnestunud (hangus), siis digidoc portaalis õnnestus, mõningate kõrvalmõjudega küll Very Happy. Dokument, mis allkirjastati oli siiski õige.


tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 17.07.2010, 06:07  postituse pealkiri:  (teema puudub)  

Kui see kõrvalmõju on see kiri vanade API-de kohta, siis see peabki nii olema, kuigi see on värske muudatus. Vt täpsemalt http://code.google.com/p/esteid/issues/detail?id=55. Ahsoo, ilmselt siiski see, et sa ei allkirjastanud tegelikult seda linki Google'i lehele... Huvitav, et ta üldse allkirjastamist alustas, mul näiteks ei alustagi. Võiksid äkki veast arendajatele teatada, siis nad tegeleks sellega natuke hoolikamalt.


merike
Pingviini aktivist
Pingviini aktivist



Liitunud: 06.04.2007
Postitused: 155
Asukoht: Laagri/Tallinn
Distributsioon: Kubuntu
estonia.gif
postituspostitatud: 17.07.2010, 21:55  postituse pealkiri:  (teema puudub)  

Tuleb välja, et Digidoci klient ei hangugi tegelikult, küll tuleb enne järgmise dialoogi ilmumist päris pikalt oodata.

tramm kirjutas:
Kui see kõrvalmõju on see kiri vanade API-de kohta, siis see peabki nii olema, kuigi see on värske muudatus. Vt täpsemalt http://code.google.com/p/esteid/issues/detail?id=55. Ahsoo, ilmselt siiski see, et sa ei allkirjastanud tegelikult seda linki Google'i lehele... Huvitav, et ta üldse allkirjastamist alustas, mul näiteks ei alustagi. Võiksid äkki veast arendajatele teatada, siis nad tegeleks sellega natuke hoolikamalt.


Kusjuures minu jaoks on segane, kelle viga see on, kas id-kaardi tarkvara või digidoc portaali.. Kuna nad juba aegunud API-t kasutavad, siis vahest kuvatakse seda linki hoopis sel põhjusel, et vana API ei anna lehitseja pluginale dokumendi kohta vajalikku infot lihtsalt? Kas keegi teab mõnda teist veebilehte, kus uue tarkvaraga allkirjastamist saab proovida? Neil on küll koodivaramus näiterakendus JDigiDocWeb, aga see jäi mul Tomcatis faili üleslaadimise kohal toppama..


tramm
Vana Pingviin
Vana Pingviin



Liitunud: 03.11.2008
Postitused: 897

Distributsioon: *buntu
blank.gif
postituspostitatud: 18.07.2010, 05:57  postituse pealkiri:  (teema puudub)  

merike kirjutas:
Kusjuures minu jaoks on segane, kelle viga see on, kas id-kaardi tarkvara või digidoc portaali.. Kuna nad juba aegunud API-t kasutavad, siis vahest kuvatakse seda linki hoopis sel põhjusel, et vana API ei anna lehitseja pluginale dokumendi kohta vajalikku infot lihtsalt? Kas keegi teab mõnda teist veebilehte, kus uue tarkvaraga allkirjastamist saab proovida? Neil on küll koodivaramus näiterakendus JDigiDocWeb, aga see jäi mul Tomcatis faili üleslaadimise kohal toppama..

ID-kaardinduses on vist neid API-sid ja eri plugina variante päris palju ja need pole kuigi hästi dokumenteeritud, neil pole lihtne vahet teha. Antud juhul näib mulle, et uuendatud API seisneb ainult mingis muudatuses liideses, et olla paremini ühilduv brauseri eri versioonidega (nimelt uuematega siis), aga mitte mitte põhimõttelises muudatuses koodis (nii saan ma aru arendajate kommentaaridest vearaportitele). Seega see aegunud API kasutamine ei tohiks nii halbu tagajärgi esile kutsuda, pigem võiks seda aegunud API-t kasutades mõne brauseriga allkirjastamine lihtsalt toppama jääda. Mul näiteks tuleb küll aegunud API teade, aga midagi muud ei juhtu... Ma arvaks hoopis, et see "aegunud API" teate edastamine ise nii uus, et seal on mingid vead sees.


anttix
Pingviini külastaja
Pingviini külastaja



Liitunud: 18.09.2010
Postitused: 18


estonia.gif
postituspostitatud: 27.10.2010, 11:09  postituse pealkiri:  (teema puudub)  

Üks hea inimene kirjutas Open EstEID wikisse õpetuse, kuidas ta selle lugeja SuSe all käima sai.

http://code.google.com/p/esteid/wiki/CM4040LinuxConfig

Kui kellelgi on ikka veel selline ugeja ja see ei ole veel saba andnud (mina olen kolmele sellisele lugejale oma karjääri jooksul surmaotsuse kuulutanud), võib proovida selle järgi toimetada.


Näita (aja järgi):      
Postita uus teemaVasta teemale


Vaata järgmist teemat
Vaata eelmist teemat
Powered by phpBB2 Plus based on phpBB © 2001/7 phpBB Group